package org.mmga.clubs.dao;

import org.apache.ibatis.annotations.Mapper;
import org.mmga.clubs.entities.user.UserRegResponseVo;
import org.mmga.clubs.entities.user.UserVo;

import java.util.List;

@Mapper
public interface UserDao {
    UserVo getUser(String username, String password);
    void addUser(UserRegResponseVo userVo);
    int countUser(String username);
    UserVo getUserById(int id);
    int getUserAuthId(int id);
    long queryTotalUserCount();
    List<UserVo> getUser(int lastId, int count);
}
